<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->

<application done="file_read">
  <instance component="ocpi.core.file_read" container="rcc0" connect="convert_xf_xs">
    <property name="filename" value="signals/psk_signal.fc32"/>	  
    <property name="messagesize" value="4096"/>
    <property name="messagesinfile" value="false"/>
    <property name="suppresseof" value="true"/>
  </instance>

  <instance component="ocpi.examples.convert_xf_xs"/>
	  
  <connection>
	  <port instance="convert_xf_xs" name="output"/>
	  <port instance="drc" name="tx"/>
  </connection>

  <!--
  ***********************************
  Digital Radio Controller (DRC)
  ***********************************
  -->
  <instance component="ocpi.platform.drc">
    <property name="configurations"
              value="{description first,channels {
           {    rx false,
                tuning_freq_mhz 1090.0,
                offset_freq_mhz 0.0,
                bandwidth_3db_mhz 20,
                sampling_rate_msps 1.0,
                samples_are_complex true,
                gain_mode manual,
                gain_db -10,
                tolerance_bandwidth_3db_mhz 20,
                tolerance_tuning_freq_mhz .01,
                tolerance_sampling_rate_msps 0.01,
                tolerance_gain_db 1}
            }
            }"/>
    <property name="start" value="0"/>
    <property name="tx_disable_on_flush" value="false"/>
    <property name="enable_rx" value="false"/>
    <property name="enable_tx" value="true"/>
  </instance>

</application>
